/***************************************************************************
                          texttospeechconfigurationdialog.h  -  description
                             -------------------
    begin                : Son Sep 8 2002
    copyright            : (C) 2002 by Gunnar Schmi Dt
    email                : kmouth@schmi-dt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// $Id: texttospeechconfigurationwidget.h,v 1.1 2003/02/07 23:54:10 pupeno Exp $

#ifndef TEXTTOSPEECHCONFIGURATIONDIALOG_H
#define TEXTTOSPEECHCONFIGURATIONDIALOG_H

#include <kurlrequester.h>
#include <kdialogbase.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <texttospeechconfigurationui.h>
#include <texttospeechsystem.h>

/**This class represents a configuration widget for the text-to-speech system.
  *@author Gunnar Schmi Dt
  */

class TextToSpeechConfigurationWidget : public texttospeechconfigurationui {
   friend class TextToSpeechConfigurationDialog;
public:
   TextToSpeechConfigurationWidget(QWidget *parent, QString name);
   ~TextToSpeechConfigurationWidget();

   TextToSpeechSystem *getTTSSystem() const;

   void readOptions (KConfig *config, const QString &langGroup);
   void saveOptions (KConfig *config, const QString &langGroup);

   void ok();
   void cancel();

private:
   void buildCodecList ();

   TextToSpeechSystem *ttsSystem;
};

#endif

/*
 * $Log: texttospeechconfigurationwidget.h,v $
 * Revision 1.1  2003/02/07 23:54:10  pupeno
 * Plug ins added. They compile. Period.
 * They're not tested yet and command had to be modified a little (commented out one line speech.cpp:31 to compile on kde 3.0, a better solution is needed).
 *
 * Revision 1.1  2002/11/29 06:48:09  pupeno
 * Command plug in merged. Developed by Gunnar (in KMouth) and now part of Proklam.
 *
 * Revision 1.1  2002/11/21 21:33:27  gunnars
 * Extended parameter dialog and added wizard for the first start
 *
 * Revision 1.3  2002/11/04 16:38:42  gunnars
 * Incorporated changes for version 0.5.1 into head branch
 *
 * Revision 1.2.2.1  2002/11/04 15:36:37  gunnars
 * combo box for character encoding added
 *
 * Revision 1.2  2002/09/08 19:29:42  gunnar
 * Configuration dialog improved
 *
 * Revision 1.1  2002/09/08 17:12:55  gunnar
 * Configuration dialog added
 *
 */
